%global githash 13b3c63

Name:             st
Version:          0.8.2.r1064.%{githash}
Release:          1%{?dist}
Summary:          Luke's simple terminal
%global           _stsourcedir %{_usrsrc}/%{name}-user-%{version}-%{release}
License:          MIT
URL:              https://github.com/LukeSmithxyz/st
Source0:          %{name}-%{version}.tar.gz
BuildRequires:    binutils
BuildRequires:    coreutils
BuildRequires:    gcc
BuildRequires:    libX11-devel
BuildRequires:    libXext-devel
BuildRequires:    libXft-devel
BuildRequires:    harfbuzz-devel
BuildRequires:    make
BuildRequires:    sed
Requires:         font(liberationmono)
Requires:         ncurses-base
Requires:         highlight
Requires:         harfbuzz
Requires(post):   %{_sbindir}/update-alternatives
Requires(postun): %{_sbindir}/update-alternatives

%define _unpackaged_files_terminate_build 0

%description
Luke's simple (suckless) terminal with vim-bindings, transparency, xresources, etc.

%prep
%setup -q
# terminfo entries are provided by ncurses-base
sed -e "/tic .*st.info/d" -i Makefile

%build
CFLAGS="%{optflags}" LDFLAGS="%{?__global_ldflags}" make %{?_smp_mflags}

%install
%make_install PREFIX=/usr

%clean
rm -rf $RPM_BUILD_ROOT

%files
%license LICENSE
%{_bindir}/%{name}
%{_bindir}/%{name}-copyout
%{_bindir}/%{name}-urlhandler
%{_mandir}/man1/%{name}.1.gz
%doc %{name}.info


%changelog
* Sun Dec 13 2020 Pierguido Lambri <plambri@redhat.com> - 13b3c63-1
- Updated from the git repository

* Fri Aug  7 2020 Pierguido Lambri <plambri@redhat.com> - e187610-1
- Updated from the git repository
- Updated the dependencies to include harfbuzz

* Sun May  3 2020 Pierguido Lambri <plambri@redhat.com> - 0.8.2.r1062.2087ab9-2
- Added the "highlight" dependency

* Sat May  2 2020 Pierguido Lambri <plambri@redhat.com> - 0.8.2.r1062.2087ab9-1
- First git build
